# $Id: rssh.spec 4140 2006-03-08 20:31:33Z dag $
# Authority: dag
# Upstream: Derek Martin <code$pizzashack,org>
# Upstream: <rssh-discuss$lists,sf,net>

Summary: Restricted shell for use with OpenSSH, allowing only scp and/or sftp
Name: rssh
Version: 2.3.2
Release: 1.2.0%{?dist}
License: BSD
Group: Applications/Internet
URL: http://www.pizzashack.org/rssh/


Source: http://dl.sf.net/rssh/rssh-%{version}.tar.gz
Patch0: rssh-2.3.2-QuietDeny.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: openssh-server, openssh-clients
Requires: openssh-server

%description
rssh is a restricted shell for use with OpenSSH, allowing only scp
and/or sftp. For example, if you have a server which you only want
to allow users to copy files off of via scp, without providing shell
access, you can use rssh to do that.

%package chroot-helper
Summary: rssh chroot helper program
Group: System Environment/Shells

%description chroot-helper

%prep
%setup
%patch0 -p1

%build
%configure
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%makeinstall

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc AUTHORS ChangeLog CHROOT COPYING NEWS README SECURITY TODO
%doc %{_mandir}/man1/rssh.1*
%doc %{_mandir}/man5/rssh.conf.5*
%config(noreplace) %{_sysconfdir}/rssh.conf
%{_bindir}/rssh

%files chroot-helper
%attr(4755, root, root) %{_libexecdir}/rssh_chroot_helper

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Thu Dec 07 2006 Shad L. Lords <slords@mail.com>
- Update to new release naming.  No functional changes.
- Make Packager generic

* Thu Nov 16 2006 Shad L. Lords <slords@mail.com> 2.3.2-1.2sme01
- Apply silent deny patch [SME:718]
- Raised on SF: http://sourceforge.net/tracker/index.php?func=detail&aid=1429363&group_id=65349&atid=510641
- Split rssh_chroot_helper into separate package

* Tue Mar 07 2006 Dag Wieers <dag@wieers.com> - 2.3.2-1 - 4140/dag
- Updated to release 2.3.2.

* Thu Jan 27 2005 Dag Wieers <dag@wieers.com> - 2.2.3-1
- Updated to release 2.2.3.

* Mon Jun 28 2004 Dag Wieers <dag@wieers.com> - 2.2.1-2
- Fixed ownership of rssh_chroot_helper, defattr is ignored. (Robin Green)

* Thu Jun 24 2004 Dag Wieers <dag@wieers.com> - 2.2.1-1
- Updated to release 2.2.1.

* Mon Jul 21 2003 Dag Wieers <dag@wieers.com> - 2.1.1-0
- Updated to release 2.1.1.

* Thu Jul 10 2003 Dag Wieers <dag@wieers.com> - 2.1.0-0
- Updated to release 2.1.0.

* Sat Jun 07 2003 Dag Wieers <dag@wieers.com> - 2.0.3-0
- Initial package. (using DAR)
